#
# Tcl package index file
#

proc LoadLibrary_gid_bounding_box { dir basename } {
    if { $::tcl_platform(pointerSize) == 8} {
        set bits 64
    } else {
        set bits 32
    }
    set pref ""
    if { $::tcl_platform(platform) == "unix"} {
        set pref "lib"
    }
    set debug ""
    # set debug "d"
    set library ${pref}${basename}_${bits}${debug}[info sharedlibextension]
    load [file join $dir $library] $basename
    #load {C:\gid_project\gidvs\x32\Debug\gid_bounding_box_64.dll}
    source [file join $dir gid_bounding_box.tcl]
}

package ifneeded gid_bounding_box 0.1 [list LoadLibrary_gid_bounding_box $dir gid_bounding_box]
