#
# Tcl package index file
#

proc LoadLibrary_objarray { dir basename } {
    if { $::tcl_platform(pointerSize) == 8} {
        set bits 64
    } else {
        set bits 32
    }
    set pref ""
    if { $::tcl_platform(platform) == "unix"} {
        set pref "lib"
    }
    set debug ""
    # set debug "d"
    set library ${pref}${basename}_${bits}${debug}[info sharedlibextension]
    load [file join $dir $library] $basename
    #load {C:\gid_project\gidvs\x32\Debug\objarray.dll}
}

package ifneeded objarray 1.19 [list LoadLibrary_objarray $dir objarray]
# extra functionalities prior to convert them into c
source [ file join $dir objarray.tcl]
