# auxiliary procs to facilitate usage of the BoundingBox class

proc DoubleArray_SetXYZ { p x y z } {
    doubleArray_setitem $p 0 $x
    doubleArray_setitem $p 1 $y
    doubleArray_setitem $p 2 $z
}

proc DoubleArray_Set { p xyz } {
    DoubleArray_SetXYZ $p {*}$xyz
}

proc DoubleArray_Get { p } {
    return [list [doubleArray_getitem $p 0] [doubleArray_getitem $p 1] [doubleArray_getitem $p 2]]
}

proc BoundingBoxGetMaxCorner { bbox } {
    return [list [$bbox GetMaxCornerComponent 0] [$bbox GetMaxCornerComponent 1] [$bbox GetMaxCornerComponent 2]]
}

proc BoundingBoxGetMinCorner { bbox } {
    return [list [$bbox GetMinCornerComponent 0] [$bbox GetMinCornerComponent 1] [$bbox GetMinCornerComponent 2]]
}

proc BoundingBoxGet { bbox } {
    return [concat [BoundingBoxGetMinCorner $bbox] [BoundingBoxGetMaxCorner $bbox]]
}
